- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# fmgr_device_config – Edit device configurations

New in version 2.8.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Edit device configurations from FortiManager Device Manager using JSON RPC API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
adom - | Default: "root" | The ADOM the configuration should belong to.
device_hostname - |  | The device's new hostname.
device_unique_name - / required |  | The unique device's name that you are editing. A.K.A. Friendly name of the device in FortiManager.
install_config - | Default: "disable" | Tells FMGR to attempt to install the config after making it.
interface - |  | The interface/port number you are editing.
interface_allow_access - |  | Specify what protocols are allowed on the interface, comma-separated list (see examples).
interface_ip - |  | The IP and subnet of the interface/port you are editing.

## Notes

Note

- Full Documentation at https://ftnt-ansible-docs.readthedocs.io/en/latest/.

## Examples

    - name: CHANGE HOSTNAME
      fmgr_device_config:
        device_hostname: "ChangedbyAnsible"
        device_unique_name: "FGT1"

    - name: EDIT INTERFACE INFORMATION
      fmgr_device_config:
        adom: "root"
        device_unique_name: "FGT2"
        interface: "port3"
        interface_ip: "10.1.1.1/24"
        interface_allow_access: "ping, telnet, https"

    - name: INSTALL CONFIG
      fmgr_device_config:
        adom: "root"
        device_unique_name: "FGT1"
        install_config: "enable"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
api_result string | always | full API response, includes status code and message

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Luke Weighall (@lweighall)

- Andrew Welsh (@Ghilli3)

- Jim Huber (@p4r4n0y1ng)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.